<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Передача рубинов';
include_once 'sys/inc/thead.php';


if(!isset($_GET['id']))exit("Не верная ссылка");
$uid=intval($_GET['id']);

$res=mysql_query("SELECT rubin,nick FROM user WHERE id='$uid';");
if(!$row=mysql_fetch_assoc($res))exit("Пользователь с ID $uid не найден в базе данных!");

	if(isset($_POST['give']))
	{
	$give=intval($_POST['rubin']);
	if($give<0)$give=$give*(-1);
	if($give>$user['rubin'])exit("У вас нет <b>$give</b> рубинов.");
	
	mysql_query("UPDATE user SET rubin=rubin-$give WHERE id='".$user['id']."';");
	mysql_query("UPDATE user SET rubin=rubin+$give WHERE id='".$uid."';");
	header("Location: info.php?id=".$uid);
	exit;
	}

title();
err();
?>
<form method="post" >
Вы имеете <b><?=$user['rubin'];?></b> рубинов<br />
Передать пользователю <b><?=$row['nick'];?></b> <input type="text" name="balls" value="" size="3" /> рубинов  
<input type="submit" value="ok" name="give" />
</form>

<?
include_once 'sys/inc/tfoot.php';
?>